unit Ubeauty;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, Buttons, ExtCtrls, GrabBar, StdCtrls;

type
  TBeautyform = class(TForm)
    Panel3: TPanel;
    OpenBtn: TSpeedButton;
    SaveBtn: TSpeedButton;
    CloseBtn: TSpeedButton;
    PrintSetupBtn: TSpeedButton;
    PrintBtn: TSpeedButton;
    SpeedButton1: TSpeedButton;
    FindBtn: TSpeedButton;
    FindAgainBtn: TSpeedButton;
    FindReplaceBtn: TSpeedButton;
    TagBtn: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    HelpBtn: TSpeedButton;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Comment1: TMenuItem;
    Gen1: TMenuItem;
    Help1: TMenuItem;
    Content1: TMenuItem;
    N2: TMenuItem;
    About1: TMenuItem;
    OpenDialog1: TOpenDialog;
    Panel1: TPanel;
    Panel2: TPanel;
    GrabBar1: TGrabBar;
    Memo1: TMemo;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Memo2: TMemo;
    Panel7: TPanel;
    Panel8: TPanel;
    Panel9: TPanel;
    Svae1: TMenuItem;
    procedure Open1Click(Sender: TObject);
    procedure SaveBtnClick(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
  private
    { Private declarations }
    currentname:string[128];
    outfile: string[128];
  public
    { Public declarations }
  end;

var
  Beautyform: TBeautyform;

implementation
uses formfile;
{$R *.DFM}

procedure get_memo_pos(Memo1:Tmemo;var x,y:longint);
var lpos, cpos: longint;
begin
 Lpos := SendMessage(memo1.Handle,EM_LINEFROMCHAR,Memo1.SelStart,0);
 Cpos := SendMessage(memo1.Handle,EM_LINEINDEX,Lpos,0);
 CPos := Memo1.SelStart-CPos;
 x:= cpos;
 y:= lpos;
end;

procedure TBeautyform.Open1Click(Sender: TObject);
begin
 if OpenDialog1.execute then
  if currentname = OpenDialog1.filename then
   exit
  else
   currentname:= OpenDialog1.filename;
 if (currentname <> '')  then
  begin
   caption:= application.title + '-' + currentname;
   memo1.lines.loadfromfile(currentname);
   outfile:= beauty(currentname);
   memo2.lines.loadfromfile(outfile);
  end;
end;

procedure TBeautyform.SaveBtnClick(Sender: TObject);
begin
 if memo1.lines.count > 0 then
  if MessageDlg(format('Overwite %S?',[currentname]), mtError, mbYesNoCancel,0) = id_yes then
  begin
   memo2.lines.savetofile(currentname);
   memo1.lines := memo2.lines;
  end;

end;

procedure TBeautyform.Exit1Click(Sender: TObject);
begin
 close;
end;

end.
