unit Formfile;
interface

{$ifdef windows}
uses
   SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
   Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, inifiles, strproc;
{$ELSE}
USES OPSTRING;
{$endif}


function beauty(const src:string):string;
{$ifdef windows}
procedure process_source(const src:string);
procedure sortit(thekey,fname:tstringlist;outfile:tinifile);
{$ENDIF}
implementation
type  STR15 = STRING[15];

Const
   INDENT = 2;
   MAXTOP = 12;
   MAXWEND = 6;
   MAXEND = 2;
   MAXRE = 56;
   maxkeys = 8;
   MAXSHIFTWIGHT = 10;
TopLeft : array[1..MAXTOP] of STR15 =
   ('Program', 'Unit', 'Procedure','Function', 'Constructor',
    'Var', 'Type', 'Label', 'Const', 'Interface', 'Implementation', 'Uses');

{WithEnd : array[1..MAXWEND] of STR15 =
('BEGIN','CASE', 'OBJECT', 'CLASS', 'RECORD', 'REPEAT');
TheEnd : array[1..MAXEND] of STR15 = ('END', 'UNTIL');
TheIf : array[1..2] of STR15 = ('IF','ELSE');}

Reserve : array[1..MAXRE] of STR15 =
('Unit','Interface','Implementation', 'Uses','Const','Type','Procedure','Function',
'Var','Begin', 'With','String','Integer','Real','Double','Extended','Byte','And',
'Or', 'Char', 'Word','Longint','Shortint','Comp','Array','End','Absolute', 'Set',
'For', 'Of','Array[','String[','Protected','Override','Virtual','Property','Else',
'Private','Public','Published','Class','Boolean','Record','Case','Repeat','Until',
'If','Close','Assign','Reset','Try','Except','While','False','True','File');

TCLASSES : array[1..4] of str15 = ('Class(','Class','Object(','Object');

ShIftright:ARRAY[1..MAXSHIFTWIGHT] of str15 =('Const','Type','Var','Uses','For',
                'If','Private','Protected','Public','Published');

{Shifttwo: array[1..4] of str15 = ('Private','Protected','Public','Published');}

GapChar : set of char = [' ','=','-','+','/','.','*',';','('];
keys : array[1..maxkeys] of str15 = ('Uses','Const','Type','Begin ','Begin','End;','End','Var');
Indentstr : array[1..4] of str15 = ('Begin','End','Case','Try');
repeatuntil : array[1..2] of str15 = ('Repeat','Until');

{$ifndef windows}
procedure renamefile(s1,s2:string);
var f: file;
begin
   assign(f,s1);
   rename(f,s2);
end;

Function inttostr(n:integer):string;
var s:string;
begin
   str(n,s);
   inttostr:= s;
end;

function uppercase(s:string): string;
var i : integer;
begin
   for i := 1 to length(s) do
      s[i] := upcase(s[i]);
   uppercase := s;
end;
{$endif}

function pad(s:string;n: integer): string;
var i : integer;
begin
   s:= trim(s);
   if length(s) < n then
      for i := length(s) to n do
      s:= s + ' ';
   pad := s;
end;

procedure replace_it(var s: string; key:string; pos: integer);
begin
   delete(s,pos,length(key));
   insert(key,s,pos);
end;

function insert_right(s:string;n:integer):string;
var i : integer;
begin
   if n < 0 then n:= 0;
   for i := 1 to n do
      s:= ' ' + s;
   insert_right := s;
end;

function getkey(s:string; var akey: str15;keys:array of str15;maxkeys:integer):integer;
var i,n : integer;
   THEWORD : str15;
   OK: BOOLEAN;
begin
   getkey := 0;
   s:= uppercase(s);
   for i := 0 to maxkeys-1  do
   begin
      THEWORD := uppercase(keys[i]);
      n:= pos(THEWORD,s);
       CASE N OF
         0: OK:= FALSE;
         1: OK := (LENGTH(S) = LENGTH(THEWORD))
            OR (S[LENGTH(THEWORD) + N] IN GAPCHAR)
            or (n -1 + LENGTH(THEWORD) = LENGTH(S));

         ELSE OK := ((S[N-1] = ' ') AND (S[LENGTH(THEWORD) + N] IN GAPCHAR))
               OR  (n -1 + LENGTH(THEWORD) = LENGTH(S));
       END;
     IF OK THEN
      begin
         getkey := n;
         akey := keys[i];
         break;
      end;
   end;
end;

procedure leftit(fname,outfile: string);
var f,f2 : text;
   s: string;
   theword: string[20];
   abit : string;
   n,i: integer;
   OK: BOOLEAN;
   found:boolean;
begin
   assign(f,fname);
   reset(f);
   assign(f2,outfile);
   rewrite(f2);
   while not eof(f) do
   begin
      readln(f,s);
      s:= trim(s);
      IF (S = '') or (s[1] = '{') or (pos('//',s) =1) THEN
         WRITELN(F2,s)
      else
         repeat
         s:= trim(s);
         n:= getkey(s,theword,keys,maxkeys);
         IF N > 0 THEN
         BEGIN
            IF LENGTH(S) > LENGTH(THEWORD) THEN
            BEGIN
               found:= false;
               for i := n + LENGTH(THEWORD) to length(s) do
               begin
                  if s[i] = '{' then
                  begin
                     found:= true;
                     break;
                  end;
               end;
               if not found then
               begin
                  abit := copy(s,1,n-1);
                  if abit <> '' then
                     writeln(f2,abit);
                  delete(s,1,n + length(theword));
                  writeln(f2,theword);
               end
               else
               begin
                  writeln(f2,s);
                  s:= '';
               end;
            END
            ELSE
            BEGIN
               writeln(f2,S);
               S:= '';
            END;
         end
         ELSE
         begin
            writeln(f2,S);
            S:= '';
         end;
      until (n = 0) or (s= '');
   end;
   close(f);
   close(f2);
end;

function under_class(s:string):boolean;
var t: str15;
   n: integer;
begin
   under_class:= false;
   n:= getkey(s,t,tCLASSES,4) ;
   if n > 0 then
   begin
      under_class:= true;
      if t[length(t)] <> '(' then
         under_class:= (n - 1) + length(t) = length(s);
   end;
end;

procedure indentit(fname,outfile: string);
var f,f2 : text;
   s: string;
   ct,n,i: integer;
   theword: str15;
begin
   ct:= 0;
   assign(f,fname);
   reset(f);
   assign(f2,outfile);
   rewrite(f2);
   while not eof(f) do
   begin
      readln(f,s);
      s:= trim(s);
      IF S <> '' THEN
      begin
         n:= getkey(s,theword,Indentstr,4);
         if n = 1 then
         begin
            if theword[1] = 'E' then
            begin
               if pos('{' + inttostr(ct) + '}',s) = 0 then
                  s:= insert_right(s,(ct-1) * indent)  + ' {' + inttostr(ct) + '}'
               else
                  s:= insert_right(s,(ct-1) * indent);
               if ct = 0 then s:= trim(s);
               if ct > 0 then
                  dec(ct);
            end
            else
            begin
               inc(ct);
               if pos(' {' + inttostr(ct) + '}',s) = 0 then
                  s:= insert_right(s,(ct-1) * indent)  + ' {' + inttostr(ct) + '}'
               else
                  s:= insert_right(s,(ct-1) * indent)
            end;
         end
         else
          BEGIN
           n:= getkey(s,theword,TopLeft,MAXTOP);
           IF N = 0 THEN
             s:= insert_right(s,(ct-1) * indent+ indent);
          END;
      end;
      WRITELN(F2,s);
   end;
   close(f);
   close(f2);
end;

procedure indentit2(fname,outfile: string);
var f,f2 : text;
   s: string;
   ct,n,i: integer;
   theword: str15;
begin
   ct:= 0;
   assign(f,fname);
   reset(f);
   assign(f2,outfile);
   rewrite(f2);
   while not eof(f) do
   begin
      readln(f,s);
      IF (trim(S) <> '') THEN
      begin
        if theword[1] <> 'P' then
        begin
         n:= getkey(s,theword,TopLeft,MAXTOP);
         IF N > 0 THEN
           CT := 0;
        end;

        n:= getkey(s,theword,ShIftright,MAXSHIFTWIGHT);
        if n > 0 then
           ct:=1
        else
         begin
            if pos('BEGIN',uppercase(s)) = 1 then
               ct:= 0
            else
             if (pos('END;',uppercase(s)) = 1)
               or (pos('END.',uppercase(s)) = 1) then
               begin
                  s:= trim(s);
                  ct:= 0;
               end
              else
                 if ct > 0 then
                  s:= insert_right(s,indent);
         end;
       end;
      WRITELN(F2,S);
   end;
   close(f);
   close(f2);
end;

procedure indentrepeat(fname,outfile: string);
var f,f2 : text;
   s: string;
   ct,n,i: integer;
   theword: str15;
begin
   ct:= 0;
   assign(f,fname);
   reset(f);
   assign(f2,outfile);
   rewrite(f2);
   while not eof(f) do
   begin
      readln(f,s);
      IF trim(S) <> '' THEN
      begin
         n:= getkey(s,theword,repeatuntil,2);
         IF N > 0 THEN
         begin
            if theword[1] = 'R' then
            begin
               INC(CT);
            end
            else
            begin
               dec(ct);
               s:= insert_right(s,ct * indent);
            end;
         end
         else
            s:= insert_right(s,ct * indent);
      END;
      WRITELN(F2,s);
   end;
   close(f);
   close(f2);
end;

function lowcase(ch:char): char;
begin
lowcase := CH;
 if ch in ['A'..'Z'] THEN
   LOWCASE := CHAR(BYTE(CH) + 32); 
end;

procedure reserve_word(fname,outfile: string);
var f,f2 : text;
   s,s2: string;
   ct,n,i: integer;
   theword: str15;
   ok: boolean;
begin
   ct:= 0;
   assign(f,fname);
   reset(f);
   assign(f2,outfile);
   rewrite(f2);
   while not eof(f) do
   begin
      readln(f,s);
      s2:= s;
      IF trim(S) <> '' THEN
      begin
         s2 := '';
         repeat
            n:= getkey(s,theword,Reserve,maxre);
            case n of
               0: ok := false;
               1: ok := (length(theword) = length(s)) or (s[n + length(theword)] in GapChar);
               else
                  OK := ((S[N-1] = ' ') AND (S[LENGTH(THEWORD) + N] in GapChar))
               OR  (n -1+ LENGTH(THEWORD) = LENGTH(S));
            end;
            if n > 0 then
            begin
               if ok then
                  s2 := s2 + copy(s,1,n -1) + theword
               else
                  s2 := s2 + copy(s,1,(n - 1) + length(theword));
               delete(s,1,(n - 1) + length(theword));
            end;
         until (n = 0) or (s = '');
         if length(s) > 0 then s2 := s2 + s;
      end;
      n:= pos('Property ',s2);
      if n > 0 then
        for i := n + length('Property ') to length(s2) do
          begin
            if s2[i] <> ' ' then
              begin
                s2[i] := upcase(s2[i]);
                break;
              end;
          end;
      n:= pos('Procedure ',s2);
      if n = 1 then
        for i := n + length('Procedure ') to length(s2) do
          begin
            s2[i] := lowcase(s2[i]);
            if s2[i-1] in [' ','_','(',';','.',':'] then s2[i] := upcase(s2[i]);
          end;
      n:= pos('Function ',s2);
      if n = 1 then
        for i := n + length('Function ') to length(s2) do
          begin
            s2[i] := lowcase(s2[i]);
            if s2[i-1] in [' ','_','(',';','.',':'] then s2[i] := upcase(s2[i]);
          end;
      WRITELN(F2,s2);
   end;
   close(f);
   close(f2);
end;
{$IFDEF WINDOWS}
procedure sortit(thekey,fname:tstringlist;outfile:tinifile);
var s,s2: string;
   ct,n,i,f: integer;
   theword: str15;
   ok: boolean;
begin
   for i:= 0 to thekey.count -1  do
   begin
      n:= 0;
      ct:= 0;
      for f:= 0 to fname.count -1 do
      begin
         ok:= false;
         s:=fname[f];
         inc(ct);
         if (getkey(s,theword,topleft,MAXTOP) > 0)
         or (getkey(s,theword,keys,MAXTOP) > 0) then
            n:= 0;
         if pos(thekey[i],s) = 1 then
            case thekey[i][1] of
            'V','C':
            begin
               n:= 1;
               ok:= true;
            end;
            'P','F':
            begin
               n:= 0;
               outfile.writestring(thekey[i],s,inttostr(ct-1));
            end;
         end;
         if (n > 0) and (not ok) then
            outfile.writestring(thekey[i],s,inttostr(ct-1));
      end;
   end;
end;
{$ENDIF}
function beauty(const src:string):string;
begin
{$IFDEF WINDOWS}
   try
      deletefile('temp.$$1');
      deletefile('temp.$$2');
      deletefile('temp.$$3');
      deletefile('temp.$$4');
   except;
   end;
{$ENDIF}
   leftit(src,'temp.$$1');
   indentit('temp.$$1','temp.$$2');
   indentit2('temp.$$2','temp.$$3');
   indentRepeat('temp.$$3','temp.$$4');
   reserve_word('temp.$$4','temp.$$5');
{$IFDEF WINDOWS}
   deletefile('temp.$$1');
   deletefile('temp.$$2');
   deletefile('temp.$$3');
   deletefile('temp.$$4');
   result :='temp.$$5';
{$ENDIF}
end;
{$IFDEF WINDOWS}
procedure process_source(const src:string);
var aname : string;
begin
   aname := beauty(src);
   if fileexists(changefileext(src,'.old')) then
      deletefile(changefileext(src,'.old'));
   RenameFile(src,changefileext(src,'.old'));
   RenameFile(aname,src);
end;
{$ENDIF}
end.
